<template>
  <div>
    <div class="text-center text-[18px] text-[#133F5D] mb-6">Lihat Simulasi Pinjaman Anda</div>
    <div class="text-[16px] text-[#133F5D] mb-[9px]">Jumlah Pinjaman</div>
    <input
      type="text"
      class="bg-none border-b border-[#EAEDEF] text-[24px] px-[10px] w-full mb-6 text-[#4199D5] focus:outline-none"
      placeholder="Rp 0"
      @input="handleInput"
    />
    <div class="text-[16px] text-[#133F5D] mb-[9px]">Estimasi Fee</div>
    <div class="text-[24px] pl-[10px] mb-6" :class="isUpdated ? 'text-[#4199D5]' : 'text-[#C2CDD5]'">{{ estimatedFee }}</div>
    <button
      class="h-[46px] w-[214px] rounded-full text-center text-[16px]  mx-auto block"
      :class="isUpdated ? 'bg-[#93C854] text-white' : 'bg-[#E0E4E7] text-[#9AA6B0]'"
      @click="showPersonalInfoForm"
    >
      Daftar Sekarang!
    </button>
  </div>
</template>

<script>
import EventBus from '~/helpers/eventBus';

export default {
  name: 'LoanAmount',
  data() {
    return {
      estimatedFee: '0%',
      isUpdated: false
    }
  },
  methods: {
    handleInput() {
      this.estimatedFee = '1,1%'
      this.isUpdated = true
    },
    showPersonalInfoForm() {
      EventBus.$emit('show-personal-info');
    },
  }
}
</script>
